From akpm@osdl.org Sun Jun 26 18:51:27 2005
Message-Id: <200506270019.j5R0JAuj027902@shell0.pdx.osdl.net>
Subject: USB: net2280 warning fix
From: Andrew Morton <akpm@osdl.org>
To: akpm@osdl.org, greg@kroah.com
Date: Sun, 26 Jun 2005 17:18:46 -0700



drivers/usb/gadget/net2280.c: In function 'show_registers':
drivers/usb/gadget/net2280.c:1501: warning: assignment discards qualifiers from pointer target type

Signed-off-by: Andrew Morton <akpm@osdl.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/gadget/net2280.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/usb/gadget/net2280.c	2005-06-28 14:07:23.000000000 -0700
+++ gregkh-2.6/drivers/usb/gadget/net2280.c	2005-06-28 14:17:03.000000000 -0700
@@ -1490,7 +1490,7 @@
 	unsigned long		flags;
 	int			i;
 	u32			t1, t2;
-	char			*s;
+	const char		*s;
 
 	dev = dev_get_drvdata (_dev);
 	next = buf;
